ReflectionExtension::export
ReflectionExtension::getClassNames
ReflectionExtension
PHP Manual

# ReflectionExtension::getClasses

Gets classes

### Description

public array ReflectionExtension::getClasses ( void )

Gets a list of classes from an extension.

### Parameters

This function has no parameters.

### Return Values

An array of ReflectionClass objects, one for each class within the extension. If no classes are defined, an empty array is returned.

### Examples

Example #1 ReflectionExtension::getClasses example

`<?php
$ext = new ReflectionExtension('XMLWriter');
var_dump($ext->getClasses());
?>`

The above example will output something similar to:

    array(1) {
      ["XMLWriter"]=>
      &object(ReflectionClass)#2 (1) {
        ["name"]=>
        string(9) "XMLWriter"
      }
    }

### See Also

- ReflectionExtension::getClassNames